curl --request GET \
--url https://api.attention.tech/v2/teams/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/teams/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/teams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attention.tech/v2/teams/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attention.tech/v2/teams/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attention.tech/v2/teams/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attention.tech/v2/teams/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"uuid": "fe515723-fe2e-4959-a5fa-c4d3937fe7e4",
"name": "Engineering",
"phrases": [
"engineering",
"tech",
"development"
],
"domain": "attention.tech",
"organizerJoinInternalMeetings": true,
"consentEmailEnabled": true,
"parentTeamUUID": "2ccf9bde-68e3-4de4-bc4e-51b927336665",
"organizationUUID": "16b78cec-82ef-46d2-8213-5d3bb7d2571c"
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Get Team
Retrieves detailed information about a specific team by its ID. The response includes team details, members, and hierarchical information.
curl --request GET \
--url https://api.attention.tech/v2/teams/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/teams/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/teams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attention.tech/v2/teams/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attention.tech/v2/teams/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attention.tech/v2/teams/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attention.tech/v2/teams/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"uuid": "fe515723-fe2e-4959-a5fa-c4d3937fe7e4",
"name": "Engineering",
"phrases": [
"engineering",
"tech",
"development"
],
"domain": "attention.tech",
"organizerJoinInternalMeetings": true,
"consentEmailEnabled": true,
"parentTeamUUID": "2ccf9bde-68e3-4de4-bc4e-51b927336665",
"organizationUUID": "16b78cec-82ef-46d2-8213-5d3bb7d2571c"
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Authorizations
Path Parameters
Unique identifier of the team (UUID format)
Response
Team successfully retrieved
Represents a team in the system with its properties and hierarchical structure
Unique identifier of the team
"fe515723-fe2e-4959-a5fa-c4d3937fe7e4"
Name of the team
"Engineering"
List of keywords or phrases associated with the team
["engineering", "tech", "development"]
Represents the Slack integration details for a team
Show child attributes
Show child attributes
{
"id": "T1234567890",
"info": { "id": "T01234567", "name": "Acme Corp" }
}
Domain associated with the team
"attention.tech"
Whether team organizers can join internal meetings
true
Whether email consent is enabled for the team
true
UUID of the parent team if this team is part of a hierarchy
"2ccf9bde-68e3-4de4-bc4e-51b927336665"
UUID of the organization this team belongs to
"16b78cec-82ef-46d2-8213-5d3bb7d2571c"
List of child teams if this team has a hierarchical structure
Was this page helpful?